/*******************************************************************************
 *  Copyright 2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for CAD Operating Point Axis Label
 */
public enum EnumCV_CADOperatingPointAxisLabel 
{
	// CAD Operating Point Axis Label - CID 6048
	CIRCUMSCRIBED_LESION_F_01741("F-01741"),
	MICROLOBULATED_LESION_F_01742("F-01742"),
	OBSCURED_LESION_F_01743("F-01743"),
	INDISTINCT_LESION_F_01744("F-01744"),
	SPICULATED_LESION_F_01745("F-01745"),
	ANGULAR_MARGINS_111343("111343");
	

	private String value;
	
	EnumCV_CADOperatingPointAxisLabel(String strvalue)
	{
		this.value = strvalue;
	}
	
	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}
}
